Subject: bug#2221 closed by Adrian Robert <[email-masked]> (Closing, worked around)

From: [email-masked] (Emacs bug Tracking System)
Date: Fri, 13 Feb 2009 13:35:07 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs,ns package:

#2218: 23.0.90; Emacs can't start

It has been closed by Adrian Robert <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Adrian Robert <[email-masked]> by
replying to this email.

-- 
2218: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2218
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Closing, worked around
From: Adrian Robert <[email-masked]>
To: [email-masked]
Date: Fri, 13 Feb 2009 15:33:08 +0200

I committed a work-around fix to nsfont.m for now.  The real solution  
probably involves modification to ..._list() and ..._match() methods  
of the NS font backend, but this work-around may be kept anyway  
unless the handling of sub-scripts by the font backend core is changed.

Subject: 23.0.90; Emacs can't start
From: Jules Colding <[email-masked]>
To: [email-masked]
Date: Fri, 06 Feb 2009 10:37:06 +0100

I'm trying to start "Emacs.app" on Mac OS X but it won't. When trying to start it from a terminal I'm told "Invalid script or charset name: mathematical-bold". Starting emacs with '-nw' works.

In GNU Emacs 23.0.90.5 (i386-apple-darwin9.6.0, NS apple-appkit-949.43)
 of 2009-02-06 on apollo.42tools.com
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--with-ns' '--without-x' '--without-sound''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: da_DK.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: ObjC/l

Minor modes in effect:
  shell-dirtrack-mode: t
  show-paren-mode: t
  desktop-save-mode: t
  tooltip-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
y y y y ESC [ ? 1 ; 2 c C-z ESC x r e p o TAB r TAB 
RET

Recent messages:
Indentation setup for shell type bash
Wrote /Users/colding/.emacs.desktop.lock
Desktop: 43 buffers restored.
Loading /Users/colding/work/elisp/site-start.elc...done
Loading /Users/colding/.emacs.d/elpa/package.el (source)...done
Warning: desktop file appears to be in use by PID 23672.
Using it may cause conflicts.  Use it anyway? (y or n) 
Desktop: 43 buffers restored.
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list...